*  ENCUESTA DE EMPLEO
*  SINTAXIS EN SPSS   PARA: 
*                                  Clculo del Ingreso del p20 (variable INGRL)
*                                  Clculo de la Condicin de Actividad (variable CONDACT)
*                                  Clculo de la sectorizacin de la Poblacin con Empleo (variable SECEMP)
*-------------------------------------------------------------------------------------------------------------------------------------------.

*CALCULO DEL INGRESO.

compute ingrl = 0.
compute ingrlx =0.

if (p50=1 and p63=999999 and p64a=2) ingrlx=999999.
if (p50=1 and p63=999999 and p64a=1 and p64b=999999) ingrlx=999999.
if (p50=1 and p66=999999 and p67=999999 and p68a=2) ingrlx=999999.
if (p50=1 and p66=999999 and p67=999999 and p68a=1 and p68b=999999) ingrlx=999999.

if (p50=2 and p63=999999 and p64a=2 and p69=999999 and p70b=999999) ingrlx=999999.
if (p50=2 and p63=999999 and p64a=1 and p64b=999999 and p69=999999 and p70b=999999) ingrlx=999999.
if (p50=2 and p66=999999 and p67=999999 and p68a=2 and p69=999999 and p70b=999999) ingrlx=999999.
if (p50=2 and p66=999999 and p67=999999 and p68a=1 and p68b=999999 and p69=999999 and p70b=999999) ingrlx=999999.
if (p50=2 and p63=999999 and p64a=2 and p69=999999 and p70a=2) ingrlx=999999.
if (p50=2 and p63=999999 and p64a=1 and p64b=999999 and p69=999999 and p70a=2) ingrlx=999999.
if (p50=2 and p66=999999 and p67=999999 and p68a=2 and p69=999999 and p70a=2) ingrlx=999999.
if (p50=2 and p66=999999 and p67=999999 and p68a=1 and p68b=999999 and p69=999999 and p70a=2) ingrlx=999999.
IF (P63=999999) ingrlx=999999.
IF (P66=999999) ingrlx=999999.


*-------------------------------------------------------------------.
compute ingr=0.
if (p63<999999) ingr =(ingr + p63).
if (p64b<999999) ingr =(ingr + p64b).
if (p65<999999) ingr = (ingr - p65).
if (p66<999999) ingr =(ingr + p66).
if (p67<999999) ingr = (ingr + p67).
if (p68b<999999) ingr =(ingr + p68b).

**  PERSONAS QUE NO TIENEN INGRESOS DEL p20 **.
DO IF (missing(p63) and missing(p64b) and missing(p65) and missing(p66) and missing(p67) and missing(p68b)).
     RECODE
         ingr (0=sysmis)
     .
END IF.

** PERSONAS QUE NO INFORMAN INGRESOS COMO PATRONOS o CTA.PROPIA o COMO ASALARIADOS.

IF (P63=999999) ingr=999999.
IF (P66=999999) ingr=999999.

*-----------------------------------------------------------------.
compute ingrs=0.
if (p69<999999) ingrs =(ingrs + p69).
if (p70b<999999) ingrs =(ingrs + p70b).
execute.

**  PERSONAS QUE NO TIENEN INGRESOS DEL p20 **.
DO IF (missing(p69) and missing(p70b)).
     RECODE
         ingrs (0=sysmis)
     .
END IF.

DO IF (p69=999999 and p70b=999999).
      recode
          ingrs (0=999999).
END IF.

DO IF (missing(p69) and p70b=999999).
      recode
          ingrs (0=999999).
END IF.

*--------------------------------------------------------------------------------.
compute ingrl=0.
*-----ojo lo que sigue---.
if (ingr<0 and ingrs<999999) ingrl=ingrl+ingrs.
if (ingr>=0 and ingr<999999 and ingrs<999999) ingrl=ingrl+ingr+ingrs.

if (missing(ingr) and ingrs<999999) ingrl=ingrl+ingrs.
if (missing(ingrs) and ingr>=0 and ingr<999999) ingrl=ingrl+ingr.
if (ingr<0 and missing(ingrs)) ingrl=-1.
if (ingr=999999 and missing(ingrs)) ingrl=999999.
if (ingr=999999 and ingrs>=0 and ingrs<999999) ingrl=999999.

DO IF (missing(ingr) and missing(ingrs)).
     recode ingrl (0=sysmis).
END IF.


VALUE LABEL
  ingrl   -1 'Gasta mas de lo que gana'
           999999 'No informa'
.


*CALCULO DE LA VARIABLE CONDACT .

compute salmin = 354.

*{empleada domestica}.
if (p40=9700 and p42=10 and (p41=9111 or p41=9121)) salmin = 354.
if (p40=9700 and p42=6 and p41=9121) salmin = 354.

*{Empleados Privados}.
if (p42>=2 and p42<=4) salmin = 354.

*{Empleados Publicos}.
if (p42=1) salmin = 527.
execute.

compute hortrah = 0.
if (p51a<>999)  hortrah = (hortrah + p51a).
if (p51b<>999)  hortrah = (hortrah + p51b).
if (p51c<>999)  hortrah = (hortrah + p51c).
execute.

*{OCUPADOS}.
compute condact = 0.
compute ocupado = 0.
if (p20=1) ocupado = 1.
if (p20=2 and p21>=1 and p21<12) ocupado = 1.
if (p20=2 and p21=12 and p22=1) ocupado = 1.

*{OCUPADOS PLENOS}.
Do if (ocupado=1 and condact=0).
   if (p24>=40 and p24<999 and ingrl>=salmin and p27=4 and ingrl<999999) condact = 1.
   if (p24<40 and ingrl>=salmin and p27=4 and ingrl<999999) condact = 1. 
   if (p24<40 and ingrl>=salmin and p27<4 and (p28=2 or p30=7) and ingrl<999999) condact = 1.
   if (p24<40 and ingrl>=salmin and ingrl<999999 and p25=9) condact=1.
END IF.
Do if (ocupado=1 and condact=0).
   if (hortrah>=40 and hortrah<999 and ingrl>=salmin and p27=4 and ingrl<999999) condact = 1.
   if (hortrah<40 and ingrl>=salmin and p27=4 and ingrl<999999) condact = 1. 
   if (hortrah<40 and ingrl>=salmin and p27<4 and (p28=2 or p30=7) and ingrl<999999) condact = 1. 
   if (hortrah<40 and ingrl>=salmin and ingrl<999999 and p25=9) condact=1.
END IF.

*{SUBEMPLEADOS VISIBLES}.
Do if (ocupado=1 and condact=0).
   if (p24<40 and p27<4 and p28=1) condact = 2.
   if (hortrah<40 and p27<4 and p28=1) condact = 2.
END IF.

*{OTRAS FORMAS DE SUBEMPLEO}.
if (ocupado=1 and condact=0 and ingrlx<999999 and p24<999) condact = 3.      

*{DESOCUPADOS}.
compute desocup=0.
Do if (ocupado=0).
   if (p20=2 and p21=12 and p22=2 and p32<11) desocup=1.
   if (p20=2 and p21=12 and p22=2 and p32=11 and p34<8 and p35=1) desocup=1.
END IF.


*{DESEMPLEO OCULTO}.
Do if (desocup=1 and condact=0).
   if (p34<8) condact = 6.   
END IF.

*{DESEMPLEO ABIERTO}.
if (desocup=1 and condact=0 and p32<11) condact=5.
if (desocup=1 and condact=0) condact=5.

*{INACTIVOS}.
if (p34>=8 or p35=2) condact = 7.

*{MENORES DE p03}.
if (p03<15) condact=8.

EXECUTE.
*=========================================*
*1. SECTORIZACIN DE LA POBLACIN CON EMPLEO														   *
*=========================================*.
compute SECEMP = 0.
*===========================================================================================*
*1. SECTOR FORMAL															  			    *
*===========================================================================================*
*Personas dentro de la empleados, que reportan trabajar en unidades de produccin con 100 trabajadores o ms.
Do if (condact<=3).
     if p47a=2  SECEMP =1.
*Personas dentro de la empleados, que reportan trabajar en unidades de produccin con menos de 100 trabajadores y que tienen Registro nico de Contribuyentes (RUC).
     if p47a=1 and (p49=1)  SECEMP =1.
*============================================================================================*
*2. SECTOR INFORMAL															   				 *
*============================================================================================*
*Personas dentro de la empleados, que reportan trabajar en unidades de produccin con menos de 100 trabajadores y que no tienen Registro nico de Contribuyentes (RUC).
     if p47a=1 and p49=2  SECEMP=2.
*============================================================================================*
*3. SERVICIO DOMSTICO														   		  		 *
*============================================================================================*
*Personas dentro de la empleados, que reportan como actividad principal el empleo domstico.
     if p42=10 SECEMP =3.
*============================================================================================*
*4. NO CLASIFICADOS DENTRO DE LOS SECTORES DE LA EMPLEADOS						  				 *
*============================================================================================*
*Personas dentro de los empleados, que reportan no saber si las unidades de produccin en las que trabajan tienen o no Registro nico de Contribuyentes (RUC).
     if  (p47a=1 and p49=3) SECEMP =4.
*Personas dentro de los empleados, que no se clasificaron en ningn grupo anterior.
     if (SECEMP=0) SECEMP=4.
End if.

recode SECEMP (0=sysmis).

VALUE LABEL SECEMP 
     1 "Sector Formal"
     2 "Sector Informal"
     3 "Empleo Domstico"
     4 "No Clasificados por Sector".

*Desagregacin de la SECEMP.

*Poblacin con empleo en el sector formal.
    if (SECEMP=1 and p03>=15) formal=1.
*Poblacin con empleo en el sector informal.
    if (SECEMP=2 and p03>=15) informal=1.
*Poblacin con empleo Domstico.
    if (SECEMP=3 and p03>=15) empdom=1.
* 'Poblacin con empleo no clasificado por sector'.
    if (SECEMP=4 and p03>=15) nocla=1.

*Etiquetas de variables creadas.
var label formal  'Poblacin con empleo en el sector formal'
/informal           'Poblacin con empleo en el sector informal'
/empdom          'Poblacin con empleo Domstico'
/nocla               'Poblacin con empleo no clasificado por sector'
/SECEMP        'Sectores de los Empleados (clasificacin para >= 15 aos)'.

EXECUTE.








